## gtk-vnc 1.0.0

=== meson_options.txt ===
option('enable-werror', type: 'boolean',  value: false, description: 'Enable -Werror flag')
option('with-coroutine', type: 'string', value: 'auto', description: 'Build with coroutine backend: [auto, ucontext, gthread]')
option('with-tls-priority', type: 'string', value: 'NORMAL', description: 'Set default TLS priority string')
option('with-vala', type: 'boolean', value: true, description: 'Enable Vala bindings')

## gtk-vnc 0.4.3

=== debian/changelog ===
gtk-vnc (0.4.3-2ubuntu2) oneiric; urgency=low

  * control: backport debian git fixes to depends to fix build issues

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 May 2011 17:05:09 +0200

gtk-vnc (0.4.3-2ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/mozilla-gtk-vnc.install, drop debian/mozilla-gtk-vnc.links: Don't
      use the legacy /usr/lib/{firefox,xulrunner-addons} locations for
      installing the browser plugin. Put it in /usr/lib/mozilla instead.
    - Build against firefox-dev instead of xulrunner-dev. (LP #740815)
    - 0002-use-stdint.patch: Replace some types with equivalent types defined
      in stdint.h. Patch by Chris Coulson, not yet forwarded upstream.
    - 0003-fix-build-with-xulrunner-1.9.2.patch: Include prtypes.h to access
      xulrunner primitive types. Patch by Chris Coulson, not yet forwarded
      upstream.
  * debian/control: Bump X-Python-Version for 2.7.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 May 2011 10:29:03 +0200

gtk-vnc (0.4.3-2) unstable; urgency=low

  * [903bf7f] Build a version compiled for GTK+3 too (Closes: #592464)
    * Split out libgvnc-1.0
    * Switch to dh
    * Switch to dh_python2
    * Install gvnccapture
  * [2e47637] New patch 0002-Look-for-generated-enums-in-srcdir.patch.
    Look for generated enums in $(srcdir)
  * [8b3cc7c] Switch to 3.0 (quilt) source format

 -- Guido Günther <agx@sigxcpu.org>  Thu, 28 Apr 2011 16:18:38 +0200

gtk-vnc (0.4.3-1) unstable; urgency=low

  * [fbdc9dd] Imported Upstream version 0.4.3
  * [f7c6520] Redo patch

 -- Laurent Léonard <laurent@open-minds.org>  Thu, 24 Feb 2011 11:01:07 +0100

gtk-vnc (0.4.2-1) experimental; urgency=low

  [ Laurent Léonard ]
  * [7ec0541] Imported Upstream version 0.4.2
  * [d9fb78f] Drop patches
    - 0002-Reset-xmit_buffer-fields-to-fix-reconnect.patch - fixed upstream
    - 0003-Fix-auth-subtype-choosing-logic-in-vncdisplay.patch - fixed upstream
  * [40bafe2] Add libtext-csv-perl build dependency

  [ Guido Günther ]
  * [31411b3] Update symbols for 0.4.2

 -- Laurent Léonard <laurent@open-minds.org>  Sun, 14 Nov 2010 19:19:45 +0100

gtk-vnc (0.4.1-4) unstable; urgency=low

  * [6f211c3] New patch 0003-Fix-auth-subtype-choosing-logic-in-
    vncdisplay.patch. Fix auth subtype choosing logic in vncdisplay
    (Closes: #596287) - thanks to Daniel P. Berrange

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Sep 2010 17:22:31 +0200

gtk-vnc (0.4.1-3) unstable; urgency=low

  [ Laurent Léonard ]
  * [3e55ef6] New patch 0002-Reset-xmit_buffer-fields-to-fix- reconnect.patch
  * [66baa3f] Bump Standards-Version to 3.9.1

  [ Guido Günther ]
  * [629db64] Switch to team maintenance and set DM-Upload-Allowed = yes.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 29 Aug 2010 18:13:39 +0200

gtk-vnc (0.4.1-2) unstable; urgency=low

  * [9b54fbb] Switch to dh_pysupport. (Closes: #590365)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Jul 2010 15:55:59 +0200

gtk-vnc (0.4.1-1) unstable; urgency=low

  * [2703df5] Imported Upstream version 0.4.1
  * [5a5910e] Drop patches applied upstream 
        0001-say-disconnected-from-server-only-once-connected.patch
        0002-remove-WERROR_CFLAGS.patch
        0004-Don-t-use-PATH_MAX.patch
        0005-Drop-space-after-Wl-in-libgtk_vnc_1_0_la_LDFLAGS.patch
        0006-Add-Wl-since-no-undefined-is-a-linker-option.patch
        0007-Explicitly-link-against-X11-libs-for-XkbGetKeyboard.patch
        0008-Add-missing-symbols.patch
        0009-Fix-missing-intialisation-of-sysdir-and-uderdir.patch
  * [e3ed1d0] No need to run autoreconf anymore
  * [1529b9a] No static libs built
  * [15068ef] Update symbols file with new symbols
  * [337c397] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Fri, 16 Jul 2010 17:55:31 +0200

gtk-vnc (0.3.10-6) unstable; urgency=low

  * [405bfa7] New patch 0009-Fix-missing-intialisation-of-sysdir-and-
    uderdir.patch Fix missing intialisation of sysdir and uderdir
    (Closes: #576102)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 04 Apr 2010 14:47:02 +0200

gtk-vnc (0.3.10-5) unstable; urgency=low

  * [7554fa2] Bump standards version
  * [5b40e11] Add symbols file
  * [da19fa0] Add Links to upstream bugtracker
  * [9f49f13] New patch 0008-Add-missing-symbols.patch

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Mar 2010 23:28:06 +0100

gtk-vnc (0.3.10-4) unstable; urgency=low

  * [d0c8027] New patch 0005-Drop-space-after-Wl-in-
    libgtk_vnc_1_0_la_LDFLAGS.patch Drop space after -Wl, in
    libgtk_vnc_1_0_la_LDFLAGS
  * [b1a99c0] New patch 0006-Add-Wl-since-no-undefined-is-a-linker-
    option.patch Add -Wl since --no-undefined is a linker option
  * [95496ef] New patch 0007-Explicitly-link-against-X11-libs-for-
    XkbGetKeyboard.patch Explicitly link against X11 libs for XkbGetKeyboard
   (Closes: #554751)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Mar 2010 19:03:22 +0100

gtk-vnc (0.3.10-3) unstable; urgency=low

  * [37978f9] Make package buildable with Python 2.6 (Closes: #571490) -
    thanks to Jakub Wilk for the suggestions.
  * [af58b98] Split build-deps to one package per line (Closes: #559128,
    #544003)
  * [31c8903] New patch 0004-Don-t-use-PATH_MAX.patch Don't use PATH_MAX
    (Closes: #561004) - thanks to Emilio Pozuelo Monfort

 -- Guido Günther <agx@sigxcpu.org>  Sun, 28 Feb 2010 17:32:47 +0100

gtk-vnc (0.3.10-2) unstable; urgency=low

  * [5974bae] Use xulrunner-dev instead of iceape-dev (Closes: #555908)
  * [402bca0] Fix build with xulrunner 1.9.1 (Closes: #556840)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 18 Nov 2009 10:03:00 +0100

gtk-vnc (0.3.10-1) unstable; urgency=low

  [ Laurent Léonard ]
  * [08c37ba] Bump Debhelper version to 7.
  * [f222140] Bump Standards-Version to 3.8.3.
  * [bdc973a] Add clean target in debian/rules.
  * [acace64] Clean debian/rules.

  [ Guido Günther ]
  [ Guido Günther ]
  * [1f2e3c5] say "disconnected from server" only once connected (Closes:


=== debian/control ===
Source: gtk-vnc
Section: gnome
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends:
 debhelper (>= 7.0.50~),
 python-support,
 python-dev,
 libgnutls-dev (>= 1.4.0),
 libcairo2-dev,
 firefox-dev,
 autotools-dev,
 libffi-dev,
 libsasl2-dev,
 intltool,
 libtext-csv-perl,
# GTK2 build
 libgtk2.0-dev,
 python-gtk2-dev (>= 2.0),
# GTK3 build
 libgtk-3-dev,
Build-Conflicts: libffi4-dev
X-Python-Version: 2.7
Vcs-Git: git://git.debian.org/git/pkg-libvirt/gtk-vnc.git
Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/gtk-vnc.git

Package: libgvnc-1.0-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgtk-vnc-1.0-0 (<= 0.4.3-1)
Description: VNC gobject wrapper (runtime libraries)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the shared library.

Package: libgvnc-1.0-0-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgvnc-1.0-0 (=${binary:Version})
Replaces: libgtk-vnc-1.0-dbg (<= 0.4.3-1)
Priority: extra
Description: VNC gobject wrapper (debugging symbols)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the debugging symbols.

Package: libgvnc-1.0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libgvnc-1.0-0 (= ${binary:Version}),
 libglib2.0-dev,
 libgnutls-dev (>= 1.4.0),
 libcairo2-dev (>= 1.2.0)
Replaces: libgtk-vnc-1.0-dev (<= 0.4.3-1)
Description: VNC GObject wrapper (development files)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the development headers.

Package: libgtk-vnc-1.0-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VNC viewer widget for GTK+2 (runtime libraries)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the shared library built for GTK+2.

Package: libgtk-vnc-1.0-0-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgtk-vnc-1.0-0 (=${binary:Version})
Priority: extra
Description: VNC viewer widget for GTK+2 (debugging symbols)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the debugging symbols.

Package: libgtk-vnc-1.0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libgtk-vnc-1.0-0 (= ${binary:Version}),
 libgvnc-1.0-dev (= ${binary:Version}),
 libgtk2.0-dev (>= 2.0),
 libgnutls-dev (>= 1.4.0),
 libcairo2-dev (>= 1.2.0)
Description: VNC viewer widget for GTK+2 (development files)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the development headers.

Package: libgtk-vnc-2.0-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VNC viewer widget for GTK+3 (runtime libraries)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the shared library built for GTK+3.

Package: libgtk-vnc-2.0-0-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgtk-vnc-2.0-0 (=${binary:Version})
Priority: extra
Description: VNC viewer widget for GTK+3 (debugging symbols)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the debugging symbols.

Package: libgtk-vnc-2.0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libgvnc-1.0-dev (= ${binary:Version}),
 libgtk-vnc-2.0-0 (= ${binary:Version}),
 libgtk-3-dev,
 libgnutls-dev (>= 1.4.0),
 libcairo2-dev (>= 1.2.0)
Description: VNC viewer widget for GTK+3 (development files)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the development headers.

Package: python-gtk-vnc
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-gtk2 (>= 2.0)
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: VNC viewer widget for GTK+2 (Python binding)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the Python binding.

Package: mozilla-gtk-vnc
Architecture: any
Section: web
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgtk-vnc-1.0-0 (= ${binary:Version}),
 iceweasel | iceape-browser
Description: VNC viewer widget for GTK+2 (mozilla plugin)
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the experimental mozilla plugin.

Package: gvncviewer
Architecture: any
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VNC viewer using gtk-vnc
 It is built using coroutines, allowing it to be completely asynchronous while
 remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
 VeNCrypt authentication extension providing SSL/TLS encryption with x509
 certificate authentication.
 .
 The core library is written in C and a binding for Python using PyGTK is
 available. The networking layer supports connections over both IPv4 and IPv6.
 .
 This package contains the VNC viewer and VNC capture utility.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -B build/gtk2 -- --with-gtk=2.0 --with-python --enable-plugin=yes
	dh_auto_configure -B build/gtk3 -- --with-gtk=3.0 --with-examples

override_dh_auto_build:
	dh_auto_build -D build/gtk2
	dh_auto_build -D build/gtk3

override_dh_auto_install:
	dh_auto_install -D build/gtk2 --destdir=debian/gtk2
	dh_auto_install -D build/gtk3 --destdir=debian/gtk3

override_dh_auto_clean:
	rm -rf debian/gtk2 debian/gtk3 build
	dh_auto_clean

override_dh_install:
	dh_install -plibgvnc-1.0-0 \
                   -plibgvnc-1.0-dev \
                   -plibgtk-vnc-2.0-0 \
                   -plibgtk-vnc-2.0-dev \
                   -pgvncviewer \
                  --sourcedir=debian/gtk3

	dh_install -plibgtk-vnc-1.0-0 \
                   -plibgtk-vnc-1.0-dev \
                   -ppython-gtk-vnc \
                  --sourcedir=debian/gtk2

override_dh_strip:
	dh_strip -plibgvnc-1.0-0 --dbg-package=libgvnc-1.0-0-dbg
	dh_strip -plibgtk-vnc-1.0-0 --dbg-package=libgtk-vnc-1.0-0-dbg
	dh_strip -plibgtk-vnc-2.0-0 --dbg-package=libgtk-vnc-2.0-0-dbg
	dh_strip -pgvncviewer -ppython-gtk-vnc

dh_makeshlibs:
	dh_makeshlibs -plibgtk-vnc-1.0-0 -V 'libgtk-vnc-1.0-0 (>= 0.3.9)'
	dh_makeshlibs -pmozila-gtk-vnc --noscripts -X /plugins/
	dh_makeshlibs -a -Nlibgtk-vnc-1.0-0 -Nmozilla-gtk-vnc

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gtk-vnc/([\d\.]+)/ \
        gtk-vnc-([\d\.]+)\.tar\.gz

## gtk-vnc 0.4.4

=== debian/changelog ===
gtk-vnc (0.4.4-1) unstable; urgency=low

  * [eb795c1] New upstream version 0.4.4
  * [6cf4ef5] watch: switch to xz tarballs
  * [2d239ff] Add vala bindings
  * [e66a270] Drop patch numbers
  * [d97cb98] Fix build with xulrunner-8.0

 -- Guido Günther <agx@sigxcpu.org>  Thu, 17 Nov 2011 22:12:37 +0100

gtk-vnc (0.4.3-6) unstable; urgency=low

  * [5d58ba0] Invoke dh_girrepository
    to create dependency information for the gir package

 -- Guido Günther <agx@sigxcpu.org>  Sat, 13 Aug 2011 15:00:21 +0200

gtk-vnc (0.4.3-5) unstable; urgency=low

  * Acknowledge NMU - thanks Mike Homey!
  * [f3b8775] Build gobject introspection data

 -- Guido Günther <agx@sigxcpu.org>  Fri, 12 Aug 2011 16:44:37 +0200

gtk-vnc (0.4.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * plugin/gtk-vnc-plugin.[ch], plugin/npshell.c, plugin/npunix.c: Use C99 int
    types instead of NSPR ones (Closes: #631033)

 -- Mike Hommey <glandium@debian.org>  Fri, 05 Aug 2011 09:07:59 +0200

gtk-vnc (0.4.3-4) unstable; urgency=low

  [ Stefano Rivera ]
  * [6287986] Fix FTBFS with Python 2.7 (Closes: #628827)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Jun 2011 10:34:28 +0200

gtk-vnc (0.4.3-3) unstable; urgency=low

  * [94cd086] Fix dependencies of dev packages
  * [68e1891] libgtkvnc-2.0-dev: Add missing dependency on libgvnc-1.0-dev
    (Closes: #626093)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 08 May 2011 21:51:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: gtk-vnc
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
 DM-Upload-Allowed: yes
 Standards-Version: 3.9.2
 Build-Depends:
  debhelper (>= 7.0.50~),
- python-support,
  python-dev,
  libgnutls-dev (>= 1.4.0),
  libcairo2-dev,
- firefox-dev,
+ xulrunner-dev (>= 8.0),
  autotools-dev,
  libffi-dev,
  libsasl2-dev,
@@ -23,8 +21,13 @@
  python-gtk2-dev (>= 2.0),
 # GTK3 build
  libgtk-3-dev,
+ libgirepository1.0-dev,
+ gobject-introspection,
+ libtool,
+# for vala bindings
+  valac-0.14
 Build-Conflicts: libffi4-dev
-X-Python-Version: 2.7
+X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/gtk-vnc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/gtk-vnc.git
 
@@ -80,7 +83,7 @@
  The core library is written in C and a binding for Python using PyGTK is
  available. The networking layer supports connections over both IPv4 and IPv6.
  .
- This package contains the development headers.
+ This package contains the development headers and Vala bindings.
 
 Package: libgtk-vnc-1.0-0
 Architecture: any
@@ -172,6 +175,7 @@
 Depends: ${misc:Depends},
  libgvnc-1.0-dev (= ${binary:Version}),
  libgtk-vnc-2.0-0 (= ${binary:Version}),
+ gir1.2-gtk-vnc-2.0 (= ${binary:Version}),
  libgtk-3-dev,
  libgnutls-dev (>= 1.4.0),
  libcairo2-dev (>= 1.2.0)
@@ -184,15 +188,31 @@
  The core library is written in C and a binding for Python using PyGTK is
  available. The networking layer supports connections over both IPv4 and IPv6.
  .
- This package contains the development headers.
+ This package contains the development headers and Vala bindings.
+
+Package: gir1.2-gtk-vnc-2.0
+Section: libs
+Architecture: any
+Provides: gir1.2-gvnc-1.0
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for GTK-VNC.
+ This package contains introspection data for the GTK-VNC library.
+ .
+ It is built using coroutines, allowing it to be completely asynchronous while
+ remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
+ VeNCrypt authentication extension providing SSL/TLS encryption with x509
+ certificate authentication.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
 
 Package: python-gtk-vnc
 Architecture: any
 Section: python
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-gtk2 (>= 2.0)
-Provides: ${python:Provides}
-Breaks: ${python:Breaks}
 Description: VNC viewer widget for GTK+2 (Python binding)
  It is built using coroutines, allowing it to be completely asynchronous while
  remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the

## gtk-vnc 0.5.0

=== debian/changelog ===
gtk-vnc (0.5.0-3.1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2017-5884: Fix bounds checking for RRE, hextile & copyrect encodings.
  * CVE-2017-5885: Correctly validate color map range indexes (Closes:
    #854450)
  * Fix some misc warnings & mem leak in test case
  * Link against GIO_LIBS explicitly to fix build failure

 -- Jonas Meurer <mejo@debian.org>  Mon, 20 Feb 2017 16:14:04 +0100

gtk-vnc (0.5.0-3.1) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  * Backport Breaks/Replaces stanzas to properly handle upgrades
    to Wheezy (Closes: #694461)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 26 Jan 2013 17:42:02 +0000

gtk-vnc (0.5.0-3) unstable; urgency=low

  * [0d2d0ae] Build-Conflict on valac-0.12.
    Thanks to Daniel Kahn Gillmor for the testing (Closes: #654849)
  * [b12be0b] Allow Unix domain sockets in gvncviewer.
    Thanks to Daniel Kahn Gillmor for the patch (Closes: #655460)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Jan 2012 20:16:42 +0100

gtk-vnc (0.5.0-2) unstable; urgency=low

  [ Guido Günther ]
  * [fba1254] Strip the mozilla plugin
  * [1f23510] Ship libgvncpulse (Closes: #653705)

  [ Flavio Stanchina ]
  * [ead3c53] Fix missing plugin installation (Closes: #653658)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 01 Jan 2012 14:22:47 +0100

gtk-vnc (0.5.0-1) unstable; urgency=low

  * [853db65] New upstream version 0.5.0 with QEMU audio extension support
  * [6b72676] Update patches.
  * [3552666] Remove GNUmakefile links since it breaks the out of tree build.
  * [3e500f8] Update symbol files

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Dec 2011 20:07:18 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,10 @@
  gobject-introspection,
  libtool,
 # for vala bindings
-  valac-0.14
-Build-Conflicts: libffi4-dev
+  valac-0.14,
+# audio extension
+  libpulse-dev
+Build-Conflicts: libffi4-dev, valac-0.12
 X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/gtk-vnc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/gtk-vnc.git
@@ -52,7 +54,8 @@
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libgvnc-1.0-0 (=${binary:Version})
-Replaces: libgtk-vnc-1.0-dbg (<= 0.4.3-1)
+Breaks:   libgtk-vnc-1.0-0-dbg (<< 0.4.3-2)
+Replaces: libgtk-vnc-1.0-0-dbg (<< 0.4.3-2)
 Priority: extra
 Description: VNC gobject wrapper (debugging symbols)
  It is built using coroutines, allowing it to be completely asynchronous while

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -B build/gtk2 -- --with-gtk=2.0 \
                                           --with-python \
                                           --enable-plugin=yes \
                                           --disable-introspection
	dh_auto_configure -B build/gtk3 -- --with-gtk=3.0 \
                                           --with-examples \
                                           --enable-introspection

override_dh_auto_build:
	dh_auto_build -D build/gtk2
	dh_auto_build -D build/gtk3

override_dh_auto_install:
	dh_auto_install -D build/gtk2 --destdir=debian/gtk2
	dh_auto_install -D build/gtk3 --destdir=debian/gtk3

override_dh_auto_clean:
	rm -rf debian/gtk2 debian/gtk3 build
	dh_auto_clean

override_dh_install:
	dh_install -plibgvnc-1.0-0 \
                   -plibgvnc-1.0-dev \
                   -plibgtk-vnc-2.0-0 \
                   -plibgtk-vnc-2.0-dev \
                   -pgir1.2-gtk-vnc-2.0 \
                   -pgvncviewer \
                  --sourcedir=debian/gtk3

	dh_install -plibgtk-vnc-1.0-0 \
                   -plibgtk-vnc-1.0-dev \
                   -pmozilla-gtk-vnc \
                   -ppython-gtk-vnc \
                  --sourcedir=debian/gtk2

override_dh_strip:
	dh_strip -plibgvnc-1.0-0 --dbg-package=libgvnc-1.0-0-dbg
	dh_strip -plibgtk-vnc-1.0-0 --dbg-package=libgtk-vnc-1.0-0-dbg
	dh_strip -pmozilla-gtk-vnc --dbg-package=libgtk-vnc-1.0-0-dbg
	dh_strip -plibgtk-vnc-2.0-0 --dbg-package=libgtk-vnc-2.0-0-dbg
	dh_strip -pgvncviewer -ppython-gtk-vnc

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_makeshlibs:
	dh_makeshlibs -plibgtk-vnc-1.0-0 -V 'libgtk-vnc-1.0-0 (>= 0.3.9)'
	dh_makeshlibs -pmozilla-gtk-vnc --noscripts -X /plugins/
	dh_makeshlibs -a -Nlibgtk-vnc-1.0-0 -Nmozilla-gtk-vnc
	dh_girepository

## gtk-vnc 0.5.1

=== debian/changelog ===
gtk-vnc (0.5.1-1ubuntu2) quantal; urgency=low

  * debian/control, debian/rules: use dh-translations to build a translations
    template (lp: #1048985)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Oct 2012 15:28:07 +0200

gtk-vnc (0.5.1-1ubuntu1) quantal; urgency=low

  * Resynchronize with Debian, remaining Ubuntu changes:
  * debian/control:
    - Build against firefox-dev instead of xulrunner-dev.
    - Build with valac-0.18
  * debian/mozilla-gtk-vnc.install
  * debian/mozilla-gtk-vnc.links:
    - Don't use the legacy /usr/lib/{firefox,xulrunner-addons} locations for
      installing the browser plugin. Put it in /usr/lib/mozilla instead.

 -- Robert Ancell <robert.ancell@canonical.com>  Sun, 29 Jul 2012 16:43:55 +0200

gtk-vnc (0.5.1-1) unstable; urgency=low

  * [e2591bf] Imported Upstream version 0.5.1
  * [a0f6408] Drop patch
    - Allow-Unix-domain-sockets-in-gvncviewer.patch - fixed upstream
  * [c031b94] Bump Standards-Version to 3.9.3
  * [61e5796] Set build directories for dh_auto_clean
  * [7fde78d] Drop patch
    - Look-for-generated-enums-in-srcdir.patch
  * [fada5be] Add dh_auto_test override
  * [d7567f1] Update symbols
  * [6189676] Enable dpkg-buildflags

 -- Laurent Léonard <laurent@open-minds.org>  Tue, 24 Jul 2012 00:49:55 +0200

gtk-vnc (0.5.0-3ubuntu1) quantal; urgency=low

  * Resynchronize with Debian, remaining difference:
    - debian/mozilla-gtk-vnc.install, drop debian/mozilla-gtk-vnc.links: Don't
      use the legacy /usr/lib/{firefox,xulrunner-addons} locations for
      installing the browser plugin. Put it in /usr/lib/mozilla instead.
    - Build against firefox-dev instead of xulrunner-dev.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 21 May 2012 16:50:12 -0400

gtk-vnc (0.5.0-1ubuntu1) precise; urgency=low

  * Resynchronize with Debian, remaining difference:
    - debian/mozilla-gtk-vnc.install, drop debian/mozilla-gtk-vnc.links: Don't
      use the legacy /usr/lib/{firefox,xulrunner-addons} locations for
      installing the browser plugin. Put it in /usr/lib/mozilla instead.
    - Build against firefox-dev instead of xulrunner-dev.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 23 Dec 2011 16:21:40 -0500

gtk-vnc (0.4.4-1ubuntu1) precise; urgency=low

  * Resynchronize with Debian, remaining difference:
    - debian/mozilla-gtk-vnc.install, drop debian/mozilla-gtk-vnc.links: Don't
      use the legacy /usr/lib/{firefox,xulrunner-addons} locations for
      installing the browser plugin. Put it in /usr/lib/mozilla instead.
    - Build against firefox-dev instead of xulrunner-dev.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Nov 2011 12:26:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: gtk-vnc
 Section: gnome
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends:
  debhelper (>= 7.0.50~),
  python-dev,
  libgnutls-dev (>= 1.4.0),
  libcairo2-dev,
- xulrunner-dev (>= 8.0),
+ firefox-dev,
  autotools-dev,
  libffi-dev,
  libsasl2-dev,
@@ -25,9 +26,10 @@
  gobject-introspection,
  libtool,
 # for vala bindings
-  valac-0.14,
+  valac-0.18,
 # audio extension
-  libpulse-dev
+  libpulse-dev,
+  dh-translations
 Build-Conflicts: libffi4-dev, valac-0.12
 X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/gtk-vnc.git
@@ -54,8 +56,7 @@
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libgvnc-1.0-0 (=${binary:Version})
-Breaks:   libgtk-vnc-1.0-0-dbg (<< 0.4.3-2)
-Replaces: libgtk-vnc-1.0-0-dbg (<< 0.4.3-2)
+Replaces: libgtk-vnc-1.0-dbg (<= 0.4.3-1)
 Priority: extra
 Description: VNC gobject wrapper (debugging symbols)
  It is built using coroutines, allowing it to be completely asynchronous while

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,18 @@
 #! /usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,translations
 
 override_dh_auto_configure:
 	dh_auto_configure -B build/gtk2 -- --with-gtk=2.0 \
                                            --with-python \
                                            --enable-plugin=yes \
-                                           --disable-introspection
+                                           --disable-introspection \
+                                           $(shell dpkg-buildflags --export=configure)
 	dh_auto_configure -B build/gtk3 -- --with-gtk=3.0 \
                                            --with-examples \
-                                           --enable-introspection
+                                           --enable-introspection \
+                                           $(shell dpkg-buildflags --export=configure)
 
 override_dh_auto_build:
 	dh_auto_build -D build/gtk2
@@ -22,7 +24,12 @@
 
 override_dh_auto_clean:
 	rm -rf debian/gtk2 debian/gtk3 build
-	dh_auto_clean
+	dh_auto_clean -B build/gtk2
+	dh_auto_clean -B build/gtk3
+
+override_dh_auto_test:
+	dh_auto_test -B build/gtk2
+	dh_auto_test -B build/gtk3
 
 override_dh_install:
 	dh_install -plibgvnc-1.0-0 \

## gtk-vnc 0.5.2

=== debian/changelog ===
gtk-vnc (0.5.2-1ubuntu2) saucy; urgency=low

  * debian/control:
    - Build with valac instead of valac-0.18 for easier transitions 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 30 May 2013 22:01:33 -0400

gtk-vnc (0.5.2-1ubuntu1) saucy; urgency=low

  * Resynchronize on Debian, remaining Ubuntu changes:
  * debian/control:
    - Build with valac-0.18
    - Drop xulrunner-dev Build-Depends
  * debian/control, debian/rules: 
    - use dh-translations to build a translations template (lp: #1048985)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 May 2013 12:30:59 +0200

gtk-vnc (0.5.2-1) unstable; urgency=low

  * [63d4584] Imported Upstream version 0.5.2
  * [6fbea51] Drop patches
    - Fix-build-with-xulrunner-8.0.patch - fixed upstream
    - Use-C99-int-types-instead-of-NSPR-ones.patch - fixed upstream
    - fix-build-with-xulrunner-1.9.1.patch - fixed upstream
  * [32e7e95] Remove mozilla-gtk-vnc
  * [aeff29d] Update symbols

 -- Laurent Léonard <laurent@open-minds.org>  Sun, 10 Mar 2013 00:26:54 +0100

gtk-vnc (0.5.1-2) unstable; urgency=low

  * [40547ee] Add proper Breasks/Replaces to libgvnc-1.0-0-dbg. Thanks to
    Andreas Beckmann for the detailed report and fix (Closes: #694461)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Nov 2012 21:44:25 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  python-dev,
  libgnutls-dev (>= 1.4.0),
  libcairo2-dev,
- firefox-dev,
  autotools-dev,
  libffi-dev,
  libsasl2-dev,
@@ -26,7 +25,7 @@
  gobject-introspection,
  libtool,
 # for vala bindings
-  valac-0.18,
+  valac,
 # audio extension
   libpulse-dev,
   dh-translations
@@ -56,7 +55,8 @@
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libgvnc-1.0-0 (=${binary:Version})
-Replaces: libgtk-vnc-1.0-dbg (<= 0.4.3-1)
+Breaks:   libgtk-vnc-1.0-0-dbg (<< 0.4.3-2)
+Replaces: libgtk-vnc-1.0-0-dbg (<< 0.4.3-2)
 Priority: extra
 Description: VNC gobject wrapper (debugging symbols)
  It is built using coroutines, allowing it to be completely asynchronous while
@@ -228,23 +228,6 @@
  .
  This package contains the Python binding.
 
-Package: mozilla-gtk-vnc
-Architecture: any
-Section: web
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libgtk-vnc-1.0-0 (= ${binary:Version}),
- iceweasel | iceape-browser
-Description: VNC viewer widget for GTK+2 (mozilla plugin)
- It is built using coroutines, allowing it to be completely asynchronous while
- remaining single threaded. It supports RFB protocols 3.3 through 3.8 and the
- VeNCrypt authentication extension providing SSL/TLS encryption with x509
- certificate authentication.
- .
- The core library is written in C and a binding for Python using PyGTK is
- available. The networking layer supports connections over both IPv4 and IPv6.
- .
- This package contains the experimental mozilla plugin.
-
 Package: gvncviewer
 Architecture: any
 Section: x11

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -B build/gtk2 -- --with-gtk=2.0 \
                                            --with-python \
-                                           --enable-plugin=yes \
                                            --disable-introspection \
                                            $(shell dpkg-buildflags --export=configure)
 	dh_auto_configure -B build/gtk3 -- --with-gtk=3.0 \
@@ -42,14 +41,12 @@
 
 	dh_install -plibgtk-vnc-1.0-0 \
                    -plibgtk-vnc-1.0-dev \
-                   -pmozilla-gtk-vnc \
                    -ppython-gtk-vnc \
                   --sourcedir=debian/gtk2
 
 override_dh_strip:
 	dh_strip -plibgvnc-1.0-0 --dbg-package=libgvnc-1.0-0-dbg
 	dh_strip -plibgtk-vnc-1.0-0 --dbg-package=libgtk-vnc-1.0-0-dbg
-	dh_strip -pmozilla-gtk-vnc --dbg-package=libgtk-vnc-1.0-0-dbg
 	dh_strip -plibgtk-vnc-2.0-0 --dbg-package=libgtk-vnc-2.0-0-dbg
 	dh_strip -pgvncviewer -ppython-gtk-vnc
 
@@ -58,7 +55,5 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibgtk-vnc-1.0-0 -V 'libgtk-vnc-1.0-0 (>= 0.3.9)'
-	dh_makeshlibs -pmozilla-gtk-vnc --noscripts -X /plugins/
-	dh_makeshlibs -a -Nlibgtk-vnc-1.0-0 -Nmozilla-gtk-vnc
+	dh_makeshlibs -a -Nlibgtk-vnc-1.0-0
 	dh_girepository
-

## gtk-vnc 0.5.3

=== debian/changelog ===
gtk-vnc (0.5.3-0ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Dec 2013 14:01:58 +0100

gtk-vnc (0.5.3-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Support QEMU LED state extension
    - Time out connection attempt after 10 seconds
    - Abort if out of memory when mmap'ing coroutine stack
    - Stop leaking coroutine stack memory
    - Improve perfornmance of ZRLE encoding by avoiding memmove
    - Only trigger keyboard grab sequence upon key release to
      allow modifiers to go to the remote server
    - Avoid busy loop upon I/O error which follows blocking I/O,
      commonly seen when a server drops the connection
    - Fix handling of --no-undefined flag
    - Don't break implicit pointer grab from mouse clicks
    - Don't drop mouse events that are out of bounds, clamp their
      coordinates instead
    - Show how to block all accelerators in gvncviewer demo program
  * debian/control:
    - Use standards-version 3.9.4
  * debian/libgvnc-1.0-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 16 Dec 2013 11:39:33 +1300

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends:
  debhelper (>= 7.0.50~),
+ dh-autoreconf,
  python-dev,
  libgnutls-dev (>= 1.4.0),
  libcairo2-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 
 %:
-	dh $@ --with python2,translations
+	dh $@ --with python2,translations,autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -B build/gtk2 -- --with-gtk=2.0 \

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gtk-vnc/([\d\.]+)/ \
        gtk-vnc-([\d\.]+)\.tar\.xz
